#ifndef PIXEL_H
#define PIXEL_H

#include <ostream>

class Pixel {

private:

    unsigned int _FPAcrate;
    unsigned int _FPAboard;
    unsigned int _FPApatch;
    unsigned int _FPApixel;

    unsigned int _HVcrate;
    unsigned int _HVboard;
    unsigned int _HVchannel;

    int _POSx;
    int _POSy;

public:
    
    Pixel();
    Pixel(unsigned int FPAcrate, unsigned int FPAboard, unsigned int FPApatch, unsigned int FPApixel,
	  unsigned int HVcrate, unsigned int HVboard, unsigned int HVchannel,
	  int POSx, int POSy);

    ~Pixel() { }

    unsigned int GetPixelFPAcrate() const {return _FPAcrate;}
    unsigned int GetPixelFPAboard() const {return _FPAboard;}
    unsigned int GetPixelFPApatch() const {return _FPApatch;}
    unsigned int GetPixelFPApixel() const {return _FPApixel;}

    unsigned int GetPixelHVcrate() const {return _HVcrate;}
    unsigned int GetPixelHVboard() const {return _HVboard;}
    unsigned int GetPixelHVchannel() const {return _HVchannel;}

    int GetPixelPOSx() const {return _POSx;}
    int GetPixelPOSy() const {return _POSy;}

    friend std::ostream& operator << (std::ostream& s, const Pixel& pixel);

};

#endif
